public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Richard Farina" <zerochaos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/hashcat/
Date: Mon,  5 Nov 2018 20:06:08 +0000 (UTC)	[thread overview]
Message-ID: <1541448357.306de9f5f1c0742a26dd1a6ddf97328df90bc67b.zerochaos@gentoo> (raw)

commit:     306de9f5f1c0742a26dd1a6ddf97328df90bc67b
Author:     Zero_Chaos <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  5 20:05:43 2018 +0000
Commit:     Richard Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Mon Nov  5 20:05:57 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=306de9f5

app-crypt/hashcat: bumpy

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 app-crypt/hashcat/Manifest             |  1 +
 app-crypt/hashcat/hashcat-5.0.0.ebuild | 57 ++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-crypt/hashcat/Manifest b/app-crypt/hashcat/Manifest
index 7f927c52645..715ee764332 100644
--- a/app-crypt/hashcat/Manifest
+++ b/app-crypt/hashcat/Manifest
@@ -1,3 +1,4 @@
 DIST hashcat-4.1.0.tar.gz 3956136 BLAKE2B f9d6f9322e4c50ee1e156c283da1257a24f0e2cb22618cf93b8b11dd1964f6741f409429ee904412f70301e4b2381b388bcab0296a30ea3a94569efe7aaaeec6 SHA512 c9e01847c89dd8521da8734ea324c69f1e9bfef50c059e9dc29d4b947fe090405774a57ae688f907698c7d9a2d1f087b730e0a994dc5ed0d5d937a9ef950dd73
 DIST hashcat-4.2.0.tar.gz 3965021 BLAKE2B ad208f2debe1e4ece893e4a277b199962aa98aab57a2e78aef1d4177dcf7fc03bf262657dfe0f51c2ae845c8ed92232de7131f909d63bdc91e9f14e0b9602bb6 SHA512 686975db24737a718b484dd84b66807dfbe9694f1832da648b3c3b9fc8b859cd5c4c4d0aebf04ae862de38656d92c989e4e9515a07bec19b3779d74350beb0bd
 DIST hashcat-4.2.1.tar.gz 3966264 BLAKE2B 2034fff6aa8724cded0c8576cb4593d90f94eaea8f932e511ed82f2576ded2ffd6f686dac484e52a9ebb3029e90845469418ac414f2edf03e3fdc3350df8766f SHA512 a2cfc7e19e82b237892bacc79ca1a62a3b2ea598e4e5f60d4e275a0c128d865945595d8f918e3bb93bf62376f11f448ff53257faa12fd051dfc64973fbb6ed1e
+DIST hashcat-5.0.0.tar.gz 4019964 BLAKE2B 5d33bb2b0d82018d8ea6a906bee48375376879a47e5ca8f880d6fad6c6763d1ef90d44b228257021603e560acadf3d8fbfcbafdbd41dbad3733141d3c3957762 SHA512 090f07a011961a2c9a9bdf31e8a5efae4b443b6b205e964a6cd74bed6efe8fae2377f22ce7728ad7e732e9f943cf30da88066fe0990d085547f1e2ba000a3d95

diff --git a/app-crypt/hashcat/hashcat-5.0.0.ebuild b/app-crypt/hashcat/hashcat-5.0.0.ebuild
new file mode 100644
index 00000000000..26b34761493
--- /dev/null
+++ b/app-crypt/hashcat/hashcat-5.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils pax-utils multilib
+
+DESCRIPTION="World's fastest and most advanced password recovery utility"
+HOMEPAGE="https://github.com/hashcat/hashcat"
+SRC_URI="https://github.com/hashcat/hashcat/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="video_cards_nvidia"
+DEPEND="virtual/opencl
+	app-arch/lzma
+	video_cards_nvidia? ( >x11-drivers/nvidia-drivers-367.0 )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	#do not strip
+	sed -i "/LFLAGS                  += -s/d" src/Makefile
+	#do not add random CFLAGS
+	sed -i "s/-O2//" src/Makefile || die
+	sed -i "#LZMA_SDK_INCLUDE#d" src/Makefile || die
+	export PREFIX=/usr
+	export LIBRARY_FOLDER="/usr/$(get_libdir)"
+	export DOCUMENT_FOLDER="/usr/share/doc/${P}"
+	eapply_user
+}
+
+src_compile() {
+	emake SHARED=1 PRODUCTION=1 ENABLE_BRAIN=0 SYSTEM_LZMA_SDK=0
+	pax-mark -mr hashcat
+}
+
+src_test() {
+	if use video_cards_nvidia; then
+		addwrite /dev/nvidia0
+		addwrite /dev/nvidiactl
+		addwrite /dev/nvidia-uvm
+		if [ ! -w /dev/nvidia0 ]; then
+			einfo "To run these tests, portage likely must be in the video group."
+			einfo "Please run \"gpasswd -a portage video\" if the tests will fail"
+		fi
+	#elif use vidia_cards_fglrx; then
+	#	addwrite /dev/ati
+	fi
+	#this always exits with 255 despite success
+	#./hashcat -b -m 2500 || die "Test failed"
+	LD_PRELOAD=./libhashcat.so.${PV} ./hashcat -a 3 -m 1500 nQCk49SiErOgk || die "Test failed"
+}
+
+src_install() {
+	emake DESTDIR="${ED}" SHARED=1 PRODUCTION=1 ENABLE_BRAIN=0 SYSTEM_LZMA_SDK=0 install
+}


             reply	other threads:[~2018-11-05 20:06 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-05 20:06 Richard Farina [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-24  2:12 [gentoo-commits] repo/gentoo:master commit in: app-crypt/hashcat/ Rick Farina
2023-08-19 22:40 Rick Farina
2023-08-19 22:40 Rick Farina
2022-12-03  1:37 Sam James
2021-12-03  3:19 Sam James
2021-12-03  3:19 Sam James
2021-05-29  7:02 Sam James
2021-05-18 15:12 Rick Farina
2021-05-18 15:12 Rick Farina
2020-06-16 19:21 Rick Farina
2020-04-01 21:15 Marek Szuba
2019-01-07 19:45 Rick Farina
2018-11-08 15:56 Rick Farina
2018-10-23 20:22 Richard Farina
2018-08-03 20:30 Richard Farina
2018-02-23 17:30 Richard Farina
2017-12-07 16:08 Richard Farina
2017-11-24  6:06 Matt Turner
2017-10-04  7:47 Michał Górny
2017-03-03 16:44 Richard Farina
2017-01-18 17:59 Richard Farina
2016-09-03 21:32 Richard Farina
2016-09-02  4:05 Richard Farina

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1541448357.306de9f5f1c0742a26dd1a6ddf97328df90bc67b.zerochaos@gentoo \
    --to=zerochaos@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox